Bug 1283910 - [abrt] evolution-data-server: g_hash_table_lookup(): evolution-source-registry killed by SIGSEGV
[abrt] evolution-data-server: g_hash_table_lookup(): evolution-source-registr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a229446023950befae29381d479...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 04:10 EST by Francesco Frassinelli (frafra)
Modified: 2016-12-20 11:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:07:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.35 KB, text/plain)
2015-11-20 04:10 EST, Francesco Frassinelli (frafra)
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-20 04:10 EST, Francesco Frassinelli (frafra)
no flags Details
File: core_backtrace (5.13 KB, text/plain)
2015-11-20 04:11 EST, Francesco Frassinelli (frafra)
no flags Details
File: dso_list (21.36 KB, text/plain)
2015-11-20 04:11 EST, Francesco Frassinelli (frafra)
no flags Details
File: environ (854 bytes, text/plain)
2015-11-20 04:11 EST, Francesco Frassinelli (frafra)
no flags Details
File: exploitable (93 bytes, text/plain)
2015-11-20 04:11 EST, Francesco Frassinelli (frafra)
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-20 04:11 EST, Francesco Frassinelli (frafra)
no flags Details
File: maps (95.53 KB, text/plain)
2015-11-20 04:11 EST, Francesco Frassinelli (frafra)
no flags Details
File: mountinfo (3.53 KB, text/plain)
2015-11-20 04:11 EST, Francesco Frassinelli (frafra)
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-20 04:11 EST, Francesco Frassinelli (frafra)
no flags Details
File: open_fds (1.16 KB, text/plain)
2015-11-20 04:11 EST, Francesco Frassinelli (frafra)
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-11-20 04:11 EST, Francesco Frassinelli (frafra)
no flags Details

  None (edit)
Description Francesco Frassinelli (frafra) 2015-11-20 04:10:50 EST
Version-Release number of selected component:
evolution-data-server-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-source-registry
crash_function: g_hash_table_lookup
executable:     /usr/libexec/evolution-source-registry
global_pid:     1874
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_hash_table_lookup at ghash.c:1152
 #1 param_spec_ht_lookup at gparam.c:1003
 #2 g_param_spec_pool_lookup at gparam.c:1076
 #3 g_object_notify at gobject.c:1191
 #4 source_idle_connection_status_change_cb at e-source.c:893
 #9 dbus_server_run_server at e-dbus-server.c:232
 #10 ffi_call_unix64 at ../src/x86/unix64.S:76
 #11 ffi_call at ../src/x86/ffi64.c:525
 #12 g_cclosure_marshal_generic_va at gclosure.c:1600
 #13 _g_closure_invoke_va at gclosure.c:864
Comment 1 Francesco Frassinelli (frafra) 2015-11-20 04:10:57 EST
Created attachment 1097068 [details]
File: backtrace
Comment 2 Francesco Frassinelli (frafra) 2015-11-20 04:10:58 EST
Created attachment 1097069 [details]
File: cgroup
Comment 3 Francesco Frassinelli (frafra) 2015-11-20 04:11:00 EST
Created attachment 1097070 [details]
File: core_backtrace
Comment 4 Francesco Frassinelli (frafra) 2015-11-20 04:11:02 EST
Created attachment 1097071 [details]
File: dso_list
Comment 5 Francesco Frassinelli (frafra) 2015-11-20 04:11:04 EST
Created attachment 1097072 [details]
File: environ
Comment 6 Francesco Frassinelli (frafra) 2015-11-20 04:11:05 EST
Created attachment 1097073 [details]
File: exploitable
Comment 7 Francesco Frassinelli (frafra) 2015-11-20 04:11:07 EST
Created attachment 1097074 [details]
File: limits
Comment 8 Francesco Frassinelli (frafra) 2015-11-20 04:11:10 EST
Created attachment 1097075 [details]
File: maps
Comment 9 Francesco Frassinelli (frafra) 2015-11-20 04:11:12 EST
Created attachment 1097076 [details]
File: mountinfo
Comment 10 Francesco Frassinelli (frafra) 2015-11-20 04:11:13 EST
Created attachment 1097077 [details]
File: namespaces
Comment 11 Francesco Frassinelli (frafra) 2015-11-20 04:11:15 EST
Created attachment 1097078 [details]
File: open_fds
Comment 12 Francesco Frassinelli (frafra) 2015-11-20 04:11:16 EST
Created attachment 1097079 [details]
File: proc_pid_status
Comment 13 Milan Crha 2015-11-23 10:08:42 EST
Thanks for a bug report. There seem to be no similar bug report filled upstream, neither here. I do not see much from the backtrace, just that one source (email account, calendar, addressbook...) connected to its destination (or disconnected) and it was about to notify others about it, but it failed due to accessing some memory it shouldn't (it can be like use-after-free or similar programming errors).

Do you have any hints on how to reproduce the crash, please?
Comment 14 Fedora End Of Life 2016-11-24 08:36:29 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:07:47 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.